/*
 * Copyright (c) 2015 N. Billard.
 */
package com.massa.mrules.demos.eshop.model;

public class Command {
	//Input Data
	private Article[] articles;
	private String[] usedDiscounts;
	
	private String deliveryCity;
	private String deliveryMode;

	//Outpout Data
	private double totalNetAmount;
	private double totalVat;
	private double totalAmount;
	
	private boolean specialDiscount;

	private double totalDiscount;

	private double finalAmount;

	public Article[] getArticles() {
		return this.articles;
	}

	public void setArticles(final Article[] articles) {
		this.articles = articles;
	}

	public String[] getUsedDiscounts() {
		return this.usedDiscounts;
	}

	public void setUsedDiscounts(final String[] usedDiscounts) {
		this.usedDiscounts = usedDiscounts;
	}

	public double getTotalNetAmount() {
		return this.totalNetAmount;
	}

	public void setTotalNetAmount(final double totalNetAmount) {
		this.totalNetAmount = totalNetAmount;
	}

	public double getTotalVat() {
		return this.totalVat;
	}

	public void setTotalVat(final double totalVat) {
		this.totalVat = totalVat;
	}

	public double getTotalAmount() {
		return this.totalAmount;
	}

	public void setTotalAmount(final double totalAmount) {
		this.totalAmount = totalAmount;
	}

	public double getTotalDiscount() {
		return this.totalDiscount;
	}

	public void setTotalDiscount(final double totalDiscount) {
		this.totalDiscount = totalDiscount;
	}

	public double getFinalAmount() {
		return this.finalAmount;
	}

	public void setFinalAmount(final double finalAmount) {
		this.finalAmount = finalAmount;
	}

	public String getDeliveryCity() {
		return deliveryCity;
	}

	public void setDeliveryCity(String deliveryCity) {
		this.deliveryCity = deliveryCity;
	}

	public String getDeliveryMode() {
		return deliveryMode;
	}

	public void setDeliveryMode(String deliveryMode) {
		this.deliveryMode = deliveryMode;
	}

	public boolean isSpecialDiscount() {
		return specialDiscount;
	}

	public void setSpecialDiscount(boolean specialDiscount) {
		this.specialDiscount = specialDiscount;
	}


}
